package fr.mnsi.todo_list.model;

import java.util.List;
import java.util.ArrayList;

public class MemTaskManager implements TaskManager {
    private ArrayList<Task> tasks;

    public MemTaskManager() {
        tasks = new ArrayList<>();
    }

    public List<Task> allTasks() {
        return new ArrayList<>(this.tasks);
    }

    public void add(Task t) {
        tasks.add(t);
    }

    public void remove(int id) {
        Task toRemove = null;
        for (Task t : tasks) {
            if (t.getId() == id) {
                toRemove = t;
                break;
            }
        }
        if (toRemove != null) {
            tasks.remove(toRemove);
        }
    }



}
