package fr.mnsi.todo_list.controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import fr.mnsi.todo_list.model.TaskManager;

@WebServlet("/RemoveTaskServlet")
public class RemoveTaskServlet extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        TaskManager tm = ControllerUtil.getTaskManager(getServletContext());

        String sId = req.getParameter("id");
        int id = 0;
        try {
            id = Integer.parseInt(sId);
        } catch (NumberFormatException e) {

        }
        tm.remove(id);

        RequestDispatcher rd = req.getRequestDispatcher("TaskListServlet");
        rd.forward(req, resp);

    }
}
