package fr.mnsi.todo_list.model;

import java.util.List;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Date;

public class DbTaskManager implements TaskManager {
    Connection cnx;

    public DbTaskManager(String host, String port,
            String db, String user, String pass) throws ClassNotFoundException, SQLException {

        Class.forName("org.postgresql.Driver");
        String cnxUrl = String.format("jdbc:postgresql://%s:%s/%s", host, port, db);
        cnx = DriverManager.getConnection(cnxUrl, user, pass);
    }

    public List<Task> allTasks() {
        try {
            List<Task> lst = new ArrayList<>();
            Statement stmt = cnx.createStatement();
            ResultSet res = stmt.executeQuery("SELECT * FROM TASK");
            while (res.next()) {
                lst.add(new Task(res.getInt("id"),
                        res.getString("titre"),
                        new Date(res.getLong("deadline"))));
            }
            return lst;

        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }

    public void add(Task t) {
    }

    public void remove(int id) {
        try {
            Statement stmt = cnx.createStatement();
            stmt.executeUpdate("DELETE FROM TASK WHERE id = " + id);

        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }

}
